JavaLayerException

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javazoom.jl.decoder
Class JavaLayerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javazoom.jl.decoder.JavaLayerException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BitstreamException, DecoderException

public class JavaLayerException
extends java.lang.Exception

The JavaLayerException is the base class for all API-level exceptions thrown by JavaLayer. To facilitate conversion and common handling of exceptions from other domains, the class can delegate some functionality to a contained Throwable instance.

See Also:
  Serialized Form

Constructor Summary
`JavaLayerException()`
`JavaLayerException(java.lang.String msg)`
`JavaLayerException(java.lang.String msg, java.lang.Throwable t)`

Method Summary
`java.lang.Throwable` | `getException()`
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream ps)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JavaLayerException

    public JavaLayerException()

### JavaLayerException

    public JavaLayerException(java.lang.String msg)

### JavaLayerException

    public JavaLayerException(java.lang.String msg,
                              java.lang.Throwable t)

Method Detail

### getException

    public java.lang.Throwable getException()

### printStackTrace

    public void printStackTrace()

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JavaZOOM 1999-2005